#ifndef INCLUDE_ALL_H_
#define INCLUDE_ALL_H_

#include "../DbgTools/dbgtools.h"
#include "../Include/common_defines.h"
#include "../Include/fermion_parameters.c"
#include "../Include/fermion_parameters.h"
#include "../Meas/ferm_meas.c"
#include "../Meas/ferm_meas.h"
#include "../Meas/gauge_meas.c"
#include "../Meas/gauge_meas.h"
#include "../OpenAcc/alloc_vars.c"
#include "../OpenAcc/alloc_vars.h"
#include "../OpenAcc/backfield.c"
#include "../OpenAcc/backfield.h"
#include "../OpenAcc/cayley_hamilton.h"
#include "../OpenAcc/cooling.c"
#include "../OpenAcc/cooling.h"
#include "../OpenAcc/deviceinit.c"
#include "../OpenAcc/deviceinit.h"
#include "../OpenAcc/fermion_force.c"
#include "../OpenAcc/fermion_force.h"
#include "../OpenAcc/fermion_force_utilities.c"
#include "../OpenAcc/fermion_force_utilities.h"
#include "../OpenAcc/fermionic_utilities.c"
#include "../OpenAcc/fermionic_utilities.h"
#include "../OpenAcc/fermion_matrix.c"
#include "../OpenAcc/fermion_matrix.h"
#include "../OpenAcc/find_min_max.c"
#include "../OpenAcc/find_min_max.h"
#include "../OpenAcc/geometry.c"
#include "../OpenAcc/geometry.h"
#include "../OpenAcc/inverter_full.c"
#include "../OpenAcc/inverter_full.h"
#include "../OpenAcc/inverter_multishift_full.c"
#include "../OpenAcc/inverter_multishift_full.h"
#include "../OpenAcc/io.c"
#include "../OpenAcc/io.h"
#include "../OpenAcc/ipdot_gauge.c"
#include "../OpenAcc/ipdot_gauge.h"
#include "../OpenAcc/md_integrator.c"
#include "../OpenAcc/md_integrator.h"
#include "../OpenAcc/random_assignement.c"
#include "../OpenAcc/random_assignement.h"
#include "../OpenAcc/rettangoli.c"
#include "../OpenAcc/rettangoli.h"
#include "../OpenAcc/single_types.h"
#include "../OpenAcc/stouting.c"
#include "../OpenAcc/stouting.h"
#include "../OpenAcc/struct_c_def.h"
#include "../OpenAcc/su3_utilities.c"
#include "../OpenAcc/su3_utilities.h"
#include "../OpenAcc/su3_measurements.c"
#include "../OpenAcc/su3_measurements.h"
#include "../OpenAcc/update_versatile.c"
#include "../OpenAcc/update_versatile.h"
#include "../RationalApprox/rationalapprox.c"
#include "../RationalApprox/rationalapprox.h"

#endif


